OPENSSL-CONFIGUTL(1ossl)

NAME
openssl-configutl - openssl configuration file helper command

SYNOPSIS
openssl configutl [-help] [-config filename] [-out filename] [-noheader]

DESCRIPTION
Real world openssl configuration files with use of the .include directive are quite complex, and there is a need to see the resulting system-wide configuration.

This tool is designed for managing OpenSSL configuration files. Currently it processes a configuration file with possibly complex structure and dumps an effective resulting configuration file, to stdout by default.

OPTIONS

-help
    Print out a usage message.

-config filename
    The configuration file to deal with. If omitted, the compiled one or the one defined via the OPENSSL_CONF environment variable is used.

-out filename
    The output file to be used instead of stdout.

-noheader
    Don't print information about the original config file to be processed.

EXAMPLES
Dump the configuration file my.conf processing all .include directives to the file result.conf

 openssl configutl -config my.conf -out result.conf

SEE ALSO
config(5)

HISTORY
The configutl command was added in OpenSSL 3.6.

COPYRIGHT
Copyright 2025 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.